diff mbox

[ovs-dev] ovs-ovctl: Fix "OpenFlow versions" in ovs-ofctl -V

Message ID 59e415045125b176eb6800c2083302d33d863a7b.1501170229.git.tredaelli@redhat.com
State Accepted
Headers show

Commit Message

Timothy Redaelli July 27, 2017, 3:43 p.m. UTC
Fix the output of "ovs-ofctl -V" to show OpenFlow 1.4 as max supported
versions since OpenFlow 1.4 was enabled by default in commit
8d3485791188 ("OpenFlow: Enable OpenFlow 1.4 by default.")

CC: Ben Pfaff <blp@ovn.org>
Signed-off-by: Timothy Redaelli <tredaelli@redhat.com>
---
 lib/ofp-version-opt.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Ben Pfaff Aug. 3, 2017, 8:21 p.m. UTC | #1
On Thu, Jul 27, 2017 at 05:43:49PM +0200, Timothy Redaelli wrote:
> Fix the output of "ovs-ofctl -V" to show OpenFlow 1.4 as max supported
> versions since OpenFlow 1.4 was enabled by default in commit
> 8d3485791188 ("OpenFlow: Enable OpenFlow 1.4 by default.")
> 
> CC: Ben Pfaff <blp@ovn.org>
> Signed-off-by: Timothy Redaelli <tredaelli@redhat.com>

Thanks, applied to master.
diff mbox

Patch

diff --git a/lib/ofp-version-opt.h b/lib/ofp-version-opt.h
index 5c8e7b866..74cad5b3f 100644
--- a/lib/ofp-version-opt.h
+++ b/lib/ofp-version-opt.h
@@ -11,7 +11,7 @@ 
 
 #define OFP_VERSION_OPTION_HANDLERS                             \
         case 'V':                                               \
-            ovs_print_version(OFP10_VERSION, OFP13_VERSION);    \
+            ovs_print_version(OFP10_VERSION, OFP14_VERSION);    \
             exit(EXIT_SUCCESS);                                 \
                                                                 \
         case 'O':                                               \